﻿using MapWinGIS;
using AxMapWinGIS;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace GeoTiffProblem
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

        }


        public void TifTest()
        {

            var gp = new MapWinGIS.GeoProjection();
            var success = gp.ImportFromEPSG(27700);

            axMap1.TileProvider = tkTileProvider.ProviderNone;
            axMap1.GeoProjection = gp;

            var grid = new Grid();


            string tifPath = Application.StartupPath + @"\test.tif";

            if (File.Exists(tifPath))
            {

                bool valid = grid.Open(tifPath, GridDataType.UnknownDataType, false, GridFileType.GeoTiff);

                int gridHandle = axMap1.AddLayer(grid, true);
                axMap1.ZoomToLayer(gridHandle);

            }
        }


        private void Form1_Load(object sender, EventArgs e)
        {
            TifTest();
        }
  

        private void chkPan_CheckedChanged(object sender, EventArgs e)
        {
            if (chkPan.Checked)
                axMap1.CursorMode = tkCursorMode.cmPan;
            else
              axMap1.CursorMode = tkCursorMode.cmSelection;
        }
    }
}
